Bug 28215 - [PATCH] Compatibility with Microsoft Office Communicator 2007 R2
Summary: [PATCH] Compatibility with Microsoft Office Communicator 2007 R2
Status: RESOLVED FIXED
Alias: None
Product: nice
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: Dafydd Harries
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-22 14:50 UTC by Jakub Adam
Modified: 2011-03-03 15:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for OC2007R2 compatibility (7.29 KB, patch)
2010-05-22 14:50 UTC, Jakub Adam
Details | Splinter Review
Patch for OC2007R2 compatibility v2 (8.51 KB, patch)
2010-08-22 16:15 UTC, Jakub Adam
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub Adam 2010-05-22 14:50:27 UTC
Created attachment 35801 [details] [review]
Patch for OC2007R2 compatibility

Hi,

following patch adds a compatibility with Microsoft Office Communicator 2007 R2.

When sending STUN Binding Request to this client, attribute CANDIDATE-IDENTIFIER must be added to the message. Please see http://msdn.microsoft.com/en-us/library/dd944871%28office.12%29.aspx for details.

Patch creates new compatibility option NICE_COMPATIBILITY_OC2007R2.

Needed when establishing voice call, otherwise Communicator drops the binding request messages.

Merging this patch to upstream would be very welcome by users and developers of SIPE plugin http://sipe.sourceforge.net.
Comment 1 Youness Alaoui 2010-08-16 19:09:40 UTC
Hi, thanks for the patch and sorry for the late answer!
I already replied to you by mail, but here are my comments for archiving purposes :

- Does OC2007 also have the same bug in its CRC32 function as WLM2009 ?
- Why not name the compatibility OC2007? Is that 'R2' meaningful in any way?
What if there's an R3 release that is also compatible with this (and probably
will be for interop) ?
- Is there some changes required with regards to TURN? Do you know what
specification is supported? Right now, you seem to let it use draft9.
- In agent.h, the gtk-doc for nice_agent_set_software might need updating since
I believe the OC2007R2 compatibility also is a valid one for that API.
- In agent.h, you forgot to add the gtk-doc for the COMPATIBLITY_OC2007R2
- In stunmessage.h, you forgot to add the gtk-doc line for
STUN_ATTRIBUTE_CANDIDATE_IDENTIFIER
- I don't like the fact that you break the API by adding the
candidate_identifier argument to stun_usage_ice_connecheck_create... I'd like to
see some other way to do it without breaking the API, although the only solution
I see for now is to duplicate the function, which I don't really like either...
This will break the API, but I'm afraid we don't really have a choice. Let me
know if you have a better idea!
- In ice.h, you didn't add the gtk-doc for the new
STUN_USAGE_ICE_COMPATIBILITY_OC2007R2
- In ice.h, you didn't update the gtk-doc for the
stun_usage_ice_conncheck_create prototype argument change.
Comment 2 Jakub Adam 2010-08-22 16:15:03 UTC
Created attachment 38077 [details] [review]
Patch for OC2007R2 compatibility v2

New version of compatibility patch after review by Youness Alaoui
Comment 3 Jakub Adam 2010-08-22 16:17:23 UTC
Mailing list entry related to previously uploaded patch version http://lists.freedesktop.org/archives/nice/2010-August/000340.html
Comment 4 Youness Alaoui 2011-03-03 15:24:44 UTC
This was integrated and released in libnice 0.1.0
Marking as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.